### Method

# Camel MessageInfo set_date_received

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_set_date_received (
      CamelMessageInfo* mi,
      gint64 date_received
    )

#### Description [src]

Sets received date (the Received header) of the associated message.

This property is considered static, in a meaning that it should not change during the life-time of the `mi`, the same as it doesn’t change in the associated message.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Available since: 3.24

Sets property | `Camel.MessageInfo:date-received`

#### Parameters

`date_received`

  Type: `gint64`

  A received date to set.

#### Return value

Type: `gboolean`

Whether the value changed.